Page MenuHomePhabricator

Variants not sticky on zhwiki
Closed, ResolvedPublic

Description

Author: criticalvac

Description:
Dear administrator:
This URL is an example, wikipedia homepage in traditional chinese.
http://zh.wikipedia.org/zh-tw/Wikipedia:%E9%A6%96%E9%A1%B5
when I click any link, the language will be changed into simple chinese automatically.
For example, I click the "首頁"(homepage), the URL is changed into
http://zh.wikipedia.org/wiki/Wikipedia:%E9%A6%96%E9%A1%B5
, and the system changes the language into simple chinese.
I don't know what happens in system and URL, but I observe the change of the URL:

http://zh.wikipedia.org/zh-tw/xxxxxxxxx
will change into
http://zh.wikipedia.org/wiki/xxxxxxxxx

Thanks for your watching.

Version: unspecified
Severity: major
OS: Windows Vista
Platform: PC
URL: http://zh.wikipedia.org/zh-tw/Wikipedia:%E9%A6%96%E9%A1%B5

Details

Reference
bz27838

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:31 PM
bzimport set Reference to bz27838.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Mar 3 2011, 4:15 PM

siriushoward wrote:

Logged in users are able to configure their preference of language variant. Once configured and logged in, all links remains as the default no-variant-specified url but the content displayed is of the language variant.

Using zh-tw as example. A logged in user with preference set to zh-tw will see all /wiki/xxxxxxx pages as if /zh-tw/xxxxxxx is requested. But all links still points to /wiki/xxxxxxx

  1. When not logged in, users need to switch language variant on every page.
  1. Logging in is not always possible, such as using public computers.
  1. Users seeing different content/variant on the same url. Consider a user sending a url to another

Also found a recent conversation on this topic: www.gossamer-threads.com/lists/wiki/wikitech/281923

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2015, 11:43 AM
Cwek added a subscriber: Cwek.Apr 12 2016, 1:05 AM

I think it's not a complex problem. Maybe it just set wrong Accept-Language on browser with identity of a registered User. He needs to set the Accept-Language as series of 'zh-'. To Set The Accept-Language, Ask Google.

Cwek closed this task as Resolved.Apr 12 2016, 1:05 AM
Cwek claimed this task.